﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ViewLogs.ascx.cs" Inherits="LiveLogger.usercontrols.ViewLogs" %>

    <!-- CSS -->
    <link href="/Umbraco/plugins/LiveLogger/css/bootstrap.min.css" rel="stylesheet" />

    <!-- jQuery -->
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    
    <!-- Bootstrap for Modals -->
    <script src="/Umbraco/plugins/LiveLogger/js/bootstrap.min.js" type="text/javascript"></script>

    <!-- Moment (Date/Time parsing) -->
    <script src="/Umbraco/plugins/LiveLogger/js/moment2.0.0.min.js"></script>
        
    <!-- signalR -->
    <script src="/Umbraco/plugins/LiveLogger/js/jquery.signalR-1.0.1.min.js"></script>
    <script src='<%: ResolveClientUrl("~/signalr/hubs") %>'></script>

    <!-- JS -->
    <script src="/Umbraco/plugins/LiveLogger/js/LiveLogger.js"></script>

    <div class="container-fluid" style="margin:20px 0;">
        <div class="row-fluid">
            <div class="span8">
                <label class="control-label" for="filter">Filter</label>
                <div class="controls">
                    <select id="filter">
                        <option selected="selected" value="ALL">All</option>
                        <option value="DEBUG">Debug</option>
                        <option value="INFO">Info</option> <!-- Done (Blue) -->
                        <option value="WARN">Warn</option> <!-- Done (Yellow) -->
                        <option value="ERROR">Error</option> <!-- Done (Red) -->
                        <option value="FATAL">Fatal</option> <!-- Done (Red) -->
                    </select>
                </div>
                <label class="checkbox" for="pause">
                    <input type="checkbox" value="pause" id="pause"/> Pause logging
                </label>                
            </div>
            <div class="span4">
                <a href="http://www.thecogworks.co.uk" class="pull-right" target="_blank">
                    <img src="/Umbraco/plugins/LiveLogger/img/cogworks-logo.png" alt="The Cogworks"/>
                </a>
            </div>
        </div>
        <div class="row-fluid">
            <table id="logTable" class="table table-hover table-striped">
                <tbody>
                    <tr class="rowHeader">
                        <th>Thread</th>
                        <th>Time</th>
                        <th>Level</th>
                        <th>Message</th>
                        <th>&nbsp;</th>
                    </tr>
                </tbody>
            </table>

            <hr />

            <a href="/Umbraco/plugins/LiveLogger/View.aspx" class="btn btn-info" target="_blank" id="external" runat="server" Visible="True">
                <i class="icon-eye-open icon-white"></i> Launch External
            </a>
        </div>
    </div>    

    <div style="display: none;">
        <asp:TextBox runat="server" ID="tableHtml" ClientIDMode="Static" TextMode="MultiLine" Rows="20" Columns="10"></asp:TextBox>
    </div>
    
    <!-- Modal -->
    <div id="logModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h3 id="myModalLabel">Log Details</h3>
        </div>
        <div class="modal-body">
            <table class="table table-hover table-striped">
                <thead>
                    <tr>
                        <th>Item</th>
                        <th>Value</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Domain</td>
                        <td class="log-domain"></td>
                    </tr>
                    <tr>
                        <td>Exception String</td>
                        <td class="log-exception"></td>
                    </tr>
                    <tr>
                        <td>Logger Name</td>
                        <td class="log-logger"></td>
                    </tr>
                    <tr>
                        <td>Message</td>
                        <td class="log-message"></td>
                    </tr>
                    <tr>
                        <td>Thread Name</td>
                        <td class="log-thread"></td>
                    </tr>
                    <tr>
                        <td>Time Stamp</td>
                        <td class="log-time"></td>
                    </tr>
                    <tr>
                        <td>Username</td>
                        <td class="log-user"></td>
                    </tr>
                    <tr>
                        <td>Location Class Name</td>
                        <td class="log-class"></td>
                    </tr>
                    <tr>
                        <td>Location File Name</td>
                        <td class="log-file"></td>
                    </tr>
                    <tr>
                        <td>Location Full Info</td>
                        <td class="log-fullinfo"></td>
                    </tr>
                    <tr>
                        <td>Location Line Number</td>
                        <td class="log-line"></td>
                    </tr>
                    <tr>
                        <td>Location Method Name</td>
                        <td class="log-method"></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="modal-footer">
            <button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
        </div>
    </div>